Subject: Re: [PATCH] gianfar: Revive the driver for eTSEC devices (disable timestamping)

From: Anton Vorontsov <[email-masked]>
Date: Thu, 10 Jun 2010 14:41:32 +0400

On Thu, Jun 10, 2010 at 12:22:26PM +0200, Richard Cochran wrote:
[...]
> > U-Boot 1.1.6 (Oct  9 2007 - 20:42:39) MPC83XX
> ...
> > CPU: MPC8313E, Rev: 10 at 333.333 MHz
> 
> We have a newer CPU revision:
> 
>    U-Boot 1.3.0 (Dec 23 2008 - 13:38:14) MPC83XX
>    CPU:   e300c3, MPC8313E, Rev: 21 at 333.333 MHz, CSB:  166 MHz
> 
> Perhaps a bug was fixed between revision 10 and 21...
> 
> You mentioned having trouble on the MPC8568EMDS. Was it the same
> problem?

Yep, the symptomps were exactly the same, it didn't want to get
the DHCP answer, while I saw the DHCP requests on the host side.

But I don't know if disabling the timestamping fixes 8568, maybe
there is some additional problem with it, no idea as I don't have
8568 board in my hands any longer. I can try any proposed fixes
as soon as I get it back though.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2